# Specifications of configurations
# Example of use
# ansible-playbook nvme_configure.yml -i hosts.yml --ask-pass -vvv -e "force=true"

raid_configurations:
  - conf0:
    target: epdtdi105.cern.ch                   # target host to apply the configuration to.
    list_of_raids:
      # - raid0:
      #   name: md0                               # Name of the RAID and mounting point name
      #   level: 0                                # Level of RAID required
      #   drives:                                 # Driver list to include in the RAID. Must be installed on the same server
      #     - /dev/nvme0n1
      #     - /dev/nvme1n1
      #     - /dev/nvme2n1
      #     - /dev/nvme3n1
      #   chunk_size: 512                       # Specify  chunk  size  of  kilobytes. (default 512KB)
      #   format_options:  # Dico of formatting options, need to have at least 1 Key/Value pair but value can be "" for skip
          
      #     # block_size: -b 4096                      # Specify the size of blocks in bytes. Valid block-size values are 1024, 2048 and 4096 bytes per block.
      #     extended_options: -E                  # List extended options after this flag
      #     lazy_itable_init: lazy_itable_init=0
      #     # stride_size: stride=1024                           # Number of blocks read or written to disk before moving to the next disk
      #     # stripe_width: stripe-width=4096                    # Recommended stride-size times storing disks used in raid
      #     # max_online_resize: resize=             # Reserve enough space so that the block group descriptor table can grow to support a filesystem that has max-online-resize blocks.

      - raid1:
        name: md1
        level: 0
        drives:
          - /dev/nvme5n1
          - /dev/nvme6n1
          - /dev/nvme7n1
          - /dev/nvme8n1
        chunk_size: 512
        format_options:
          extended_options: -E
          lazy_itable_init: lazy_itable_init=0,lazy_journal_init=0